NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link Routing::RouteManager::CreatePlacePartBuilderPTS Routing::RouteManager::CreatePlacePartBuilderPTS @endlink <br>
Created in NX7.5.0.
More...
Public Member Functions | |
void | FinalizePlacement (NXOpen::Routing::CharacteristicList *optionalCharx, NXOpen::Routing::CharacteristicList *requiredCharx, const NXString &name, int layerOption, int layer, bool dfaultOStock) |
Complete the placement operation. | |
void | FinalizePlacement (NXOpen::Routing::CharacteristicList *optionalCharx, NXOpen::Routing::CharacteristicList *requiredCharx, const char *name, int layerOption, int layer, bool dfaultOStock) |
Complete the placement operation. | |
void | GetLoadedPartInfo (NXOpen::TaggedObject **loadedPart, NXOpen::TaggedObject **loadedInst) |
Get information about the parts being placed. | |
NXOpen::Point3d | GetScrewSeatEnd () |
Gets the point from builder, used in final placement of screw seat. | |
NXOpen::Point3d | GetScrewSeatIntersectionPoint () |
Gets information about the final screw seat position. | |
void | LoadPart (const NXString &partNumber) |
Load a part given the input part number. | |
void | LoadPart (const char *partNumber) |
Load a part given the input part number. | |
void | LoadPart () |
Load the specified part. | |
void | ReplaceLoadedInstance (NXOpen::TaggedObject *partInst) |
Replace the builder's part instance with a new instance. | |
void | SetActiveLayer (int layerOption, int layer) |
Set the layer for the loaded part. | |
void | SetActiveRefSet (const NXString &refSet) |
Set the reference set to use for the loaded part. | |
void | SetActiveRefSet (const char *refSet) |
Set the reference set to use for the loaded part. | |
void | SetAttributeHolder (NXOpen::Routing::AttributeHolder *attributeHolder) |
Sets Attribute holder in builder, which is user for template attribute assignment. | |
void | SetLoadedPartInfo (NXOpen::TaggedObject *loadedPart, NXOpen::TaggedObject *loadedInst) |
Get information about the parts being placed. | |
void | SetPlacePartOperation (bool replacePart) |
Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly. | |
void | SetScrewSeatEnd (const NXOpen::Point3d &point) |
Sets a point in builder, which is required for final placement of screw seat. | |
void | SetScrewSeatIntersectionPoint (const NXOpen::Point3d &intersectionPoint) |
Sets the final position of screw seat. | |
void | UnloadPart () |
Update the loaded part with a new placement location and object. | |
void | UpdatePlacementObj (NXOpen::TaggedObject *placementObj, const NXOpen::Point3d &placementPos) |
Update the loaded part with a new placement location and object. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
<br> To create a new instance of this class, use @link Routing::RouteManager::CreatePlacePartBuilderPTS Routing::RouteManager::CreatePlacePartBuilderPTS @endlink <br>
Created in NX7.5.0.
void NXOpen::Routing::PlacePartBuilder::FinalizePlacement | ( | NXOpen::Routing::CharacteristicList * | optionalCharx, |
NXOpen::Routing::CharacteristicList * | requiredCharx, | ||
const NXString & | name, | ||
int | layerOption, | ||
int | layer, | ||
bool | dfaultOStock | ||
) |
Complete the placement operation.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
optionalCharx | Optional Charx to apply. |
requiredCharx | Required Charx to apply. |
name | The component name to apply to the part. |
layerOption | The layer option. |
layer | The layer to apply. |
dfaultOStock | Assign overstock to a fitting when a default is defined. |
void NXOpen::Routing::PlacePartBuilder::FinalizePlacement | ( | NXOpen::Routing::CharacteristicList * | optionalCharx, |
NXOpen::Routing::CharacteristicList * | requiredCharx, | ||
const char * | name, | ||
int | layerOption, | ||
int | layer, | ||
bool | dfaultOStock | ||
) |
Complete the placement operation.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
optionalCharx | Optional Charx to apply. |
requiredCharx | Required Charx to apply. |
name | The component name to apply to the part. |
layerOption | The layer option. |
layer | The layer to apply. |
dfaultOStock | Assign overstock to a fitting when a default is defined. |
void NXOpen::Routing::PlacePartBuilder::GetLoadedPartInfo | ( | NXOpen::TaggedObject ** | loadedPart, |
NXOpen::TaggedObject ** | loadedInst | ||
) |
Get information about the parts being placed.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
loadedPart | The PART object of the loaded part. |
loadedInst | The Instance object of the loaded part. |
NXOpen::Point3d NXOpen::Routing::PlacePartBuilder::GetScrewSeatEnd | ( | ) |
Gets the point from builder, used in final placement of screw seat.
This point is used for creating segemnts / constraints when finally placing the screw seat.
NXOpen::Point3d NXOpen::Routing::PlacePartBuilder::GetScrewSeatIntersectionPoint | ( | ) |
Gets information about the final screw seat position.
void NXOpen::Routing::PlacePartBuilder::LoadPart | ( | const NXString & | partNumber | ) |
Load a part given the input part number.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
partNumber | Part number |
void NXOpen::Routing::PlacePartBuilder::LoadPart | ( | const char * | partNumber | ) |
Load a part given the input part number.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
partNumber | Part number |
void NXOpen::Routing::PlacePartBuilder::LoadPart | ( | ) |
Load the specified part.
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacePartBuilder::ReplaceLoadedInstance | ( | NXOpen::TaggedObject * | partInst | ) |
Replace the builder's part instance with a new instance.
This is used when the assemblies absolute positioning method is used. It will create it's own part instance and we need make sure the builder has the new one.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
partInst | The instance object of the loaded part. |
void NXOpen::Routing::PlacePartBuilder::SetActiveLayer | ( | int | layerOption, |
int | layer | ||
) |
void NXOpen::Routing::PlacePartBuilder::SetActiveRefSet | ( | const NXString & | refSet | ) |
Set the reference set to use for the loaded part.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
refSet | Reference Set Name |
void NXOpen::Routing::PlacePartBuilder::SetActiveRefSet | ( | const char * | refSet | ) |
Set the reference set to use for the loaded part.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
refSet | Reference Set Name |
void NXOpen::Routing::PlacePartBuilder::SetAttributeHolder | ( | NXOpen::Routing::AttributeHolder * | attributeHolder | ) |
Sets Attribute holder in builder, which is user for template attribute assignment.
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
attributeHolder | Object to hold template attributes |
void NXOpen::Routing::PlacePartBuilder::SetLoadedPartInfo | ( | NXOpen::TaggedObject * | loadedPart, |
NXOpen::TaggedObject * | loadedInst | ||
) |
Get information about the parts being placed.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
loadedPart | The PART object of the loaded part. |
loadedInst | The Instance object of the loaded part. |
void NXOpen::Routing::PlacePartBuilder::SetPlacePartOperation | ( | bool | replacePart | ) |
Set a flag which tells the builder whether the part being placed is replacing an existing part in the assembly.
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
replacePart | True if replace part operation. |
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatEnd | ( | const NXOpen::Point3d & | point | ) |
Sets a point in builder, which is required for final placement of screw seat.
This point is used for creating segments / constraints when finally placing the screw seat.
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
point | This is the internal point used in determining final position of screw seat placement. |
void NXOpen::Routing::PlacePartBuilder::SetScrewSeatIntersectionPoint | ( | const NXOpen::Point3d & | intersectionPoint | ) |
Sets the final position of screw seat.
This is required in builder when doing finalize placement after (OK/Apply) .
Created in NX8.0.0.
License requirements : routing_base ("Routing Basic")
intersectionPoint | The final position of screw seat placement. |
void NXOpen::Routing::PlacePartBuilder::UnloadPart | ( | ) |
Update the loaded part with a new placement location and object.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
void NXOpen::Routing::PlacePartBuilder::UpdatePlacementObj | ( | NXOpen::TaggedObject * | placementObj, |
const NXOpen::Point3d & | placementPos | ||
) |
Update the loaded part with a new placement location and object.
Created in NX7.5.0.
License requirements : routing_base ("Routing Basic")
placementObj | New object to attach to. Can bee NULL. |
placementPos | The new location for the part. |